Module javafx.graphics
Package javafx.scene

# Enum Class DepthTest

java.lang.Object
java.lang.Enum<DepthTest>
javafx.scene.DepthTest

All Implemented Interfaces:
  `Serializable`, `Comparable<DepthTest>`, `Constable`

public enum DepthTest extends Enum<DepthTest>
This enum defines the possible states for the depthTest flag in node. Note that this is a conditional feature. See `ConditionalFeature.SCENE3D` for more information.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISABLE`
Specifies that depth testing is disabled.
`ENABLE`
Specifies that depth testing is enabled.
`INHERIT`
Specifies that the depth testing state is inherited from the parent.

## Method Summary

Modifier and Type
Method
Description
`static DepthTest`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DepthTest[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISABLE

public static final DepthTest DISABLE
Specifies that depth testing is disabled.

### ENABLE

public static final DepthTest ENABLE
Specifies that depth testing is enabled.

### INHERIT

public static final DepthTest INHERIT
Specifies that the depth testing state is inherited from the parent.

## Method Details

### values

public static DepthTest[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DepthTest valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null